## org.eclipse.amp.amf.gen.ext
Class LibraryDocsBuilder

    java.lang.Object
      org.eclipse.core.internal.events.InternalBuilder
          org.eclipse.core.resources.IncrementalProjectBuilder
              org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
                  org.eclipse.amp.amf.gen.ide.MetaABMBuilder
                      org.eclipse.amp.amf.gen.ext.LibraryDocsBuilder

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension

    public class LibraryDocsBuilder

extends MetaABMBuilder

Field Summary
`static java.lang.String` `FUNCTION_BUILDER_ID`

Fields inherited from class org.eclipse.amp.amf.gen.ide.MetaABMBuilder
`BUILDER_ID`

Fields inherited from class org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
`builder, currentMonitor, workflowPaths`

Fields inherited from class org.eclipse.core.resources.IncrementalProjectBuilder
`AUTO_BUILD, CLEAN_BUILD, FULL_BUILD, INCREMENTAL_BUILD`

Constructor Summary
`LibraryDocsBuilder()`

Method Summary
`static MetaABMBuilder` `getLibaryDocsDefault()` Returns the shared instance

Methods inherited from class org.eclipse.amp.amf.gen.ide.MetaABMBuilder
`getBaseBuilderDefault, isCreateMarkers, loadPlugins, loadPropertiesFromPrefs, loadPropertiesFromResource, setCreateMarkers`

Methods inherited from class org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
`addURL, build, fullBuild, generateModel, getGenProperties, getResourceLoader, handleModifiedResource, incrementalBuild, isReportErrors, setCurrentMonitor, setGenProperties, setReportErrors`

Methods inherited from class org.eclipse.core.resources.IncrementalProjectBuilder
`clean, forgetLastBuiltState, getBuildConfig, getCommand, getContext, getDelta, getProject, getRule, getRule, hasBeenBuilt, isInterrupted, needRebuild, rememberLastBuiltState, setInitializationData, startupOnInitialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FUNCTION_BUILDER_ID

    public static final java.lang.String FUNCTION_BUILDER_ID

See Also:
  Constant Field Values

Constructor Detail

### LibraryDocsBuilder

    public LibraryDocsBuilder()

Method Detail

### getLibaryDocsDefault

    public static MetaABMBuilder getLibaryDocsDefault()

  Returns the shared instance

  Returns:
    the shared instance